Skip to main content
PATCH
/
api
/
v1
/
templates
/
{template_id}
Update Template
curl --request PATCH \
  --url https://api.example.com/api/v1/templates/{template_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "content": "<string>",
  "category": "<string>",
  "is_active": true,
  "media_type": "<string>",
  "media_url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "category": "<string>",
  "content": "<string>",
  "variables": [
    "<string>"
  ],
  "builtin_variables": [
    "<string>"
  ],
  "custom_variables": [
    "<string>"
  ],
  "is_active": true,
  "times_used": 123,
  "created_at": "<string>",
  "updated_at": "<string>",
  "media_type": "<string>",
  "media_url": "<string>",
  "last_used_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.wazzapi.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string | null

Path Parameters

template_id
string<uuid>
required

Body

application/json

Request to update a template.

name
string | null
Required string length: 1 - 255
content
string | null
Required string length: 1 - 4000
category
string | null
is_active
boolean | null
media_type
string | null
media_url
string | null

Response

Successful Response

Full template response.

id
string<uuid>
required
name
string
required
category
string
required
content
string
required
variables
string[]
required
builtin_variables
string[]
required
custom_variables
string[]
required
is_active
boolean
required
times_used
integer
required
created_at
string
required
updated_at
string
required
media_type
string | null
media_url
string | null
last_used_at
string | null